<div class="report-sheet">
  <div *ngIf="parishionerCards.length === 0">
    {{'Loading' | translate}}...
  </div>
  <ng-container *ngFor="let card of parishionerCards; let i = index">
    <div class="parishioner-card">
      <h3 style="margin-top: 0;">{{card.parishioner.name}}</h3>
      <h4>{{card.parishioner.address}}</h4>
      <ul style="columns: 3; list-style-type: square;">
        <li *ngFor="let offering of card.offerings">
          {{offering.amount | number:'1.2-2'}} zł - {{offering.date | date}}
        </li>
      </ul>
    </div>
    <div *ngIf="i % 2 === 0" class="cut-line"></div>
    <div *ngIf="i % 2 === 1" class="page-break"></div>
  </ng-container>
</div>
